Create a venue
Body·
required
application/json
Fields accepted when creating a venue. Unknown or read-only fields are rejected.
- Type: string | nullnamerequired
- Type: string | nullcity
- Type: string | nullcountry
- Type: string | nullelectrical
Notes - Type: string | nullelevator
Notes - Type: string | nullload
In Notes - Type: string | nullnotes
- Type: string | nullparking
Notes - Type: string | nullphone
- Type: string | nullpostal
Code - Type: string | nullstate
Region - Type: string | nullstreet1
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/venues
curl https://api.weddingoperatingsystems.com/api/v1/venues \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": null,
"street1": null,
"street2": null,
"city": null,
"stateRegion": null,
"postalCode": null,
"country": null,
"website": null,
"phone": null,
"loadInNotes": null,
"parkingNotes": null,
"electricalNotes": null,
"elevatorNotes": null,
"notes": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"street1": null,
"street2": null,
"city": null,
"stateRegion": null,
"postalCode": null,
"country": null,
"website": null,
"phone": null,
"loadInNotes": null,
"parkingNotes": null,
"electricalNotes": null,
"elevatorNotes": null,
"notes": null,
"createdTime": "2026-09-30T06:22:05.746Z",
"lastEditedTime": "2026-09-30T06:22:05.746Z"
}
}